package com.example.javacodegeeks.springevents.events;

import com.example.javacodegeeks.springevents.payloads.TicketPayload;
import org.springframework.context.ApplicationEventPublisher;
import org.springframework.context.ApplicationEventPublisherAware;
import org.springframework.stereotype.Component;

@Component
public class TicketEventPublisher implements ApplicationEventPublisherAware {

    private ApplicationEventPublisher applicationEventPublisher;

    @Override
    public void setApplicationEventPublisher(ApplicationEventPublisher applicationEventPublisher) {
        this.applicationEventPublisher = applicationEventPublisher;
    }

    public void publish (TicketEvent event) {
        this.applicationEventPublisher.publishEvent(event);
    }
}
