package com.example.javacodegeeks.springevents.events;

import com.example.javacodegeeks.springevents.payloads.TicketPayload;
import org.springframework.context.ApplicationEvent;

public class TicketEvent extends ApplicationEvent {
    private TicketPayload payload;

    public TicketEvent(Object source, TicketPayload payload) {
        super(source);
        this.payload = payload;
    }

    public TicketPayload getPayload() {
        return this.payload;
    }
}
